lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shai Erera <ser...@gmail.com>
Subject Re: Java 5 creeped again to Benchmark?
Date Thu, 13 Aug 2009 17:51:19 GMT
So far Mike has resolved the issue again, so it sounds like we go w/ it ?

Going forward, what about contribs that are on Java 1.6?

Personally I don't think it's wrong that benchmark will be on Java 1.5 or
even 1.6. Even that Lucene is 1.4, I believe many run it w/ 1.5 or 1.6, so
testing Lucene w/ those JVMs is not wrong. And I don't just mean running w/
a 1.6 JVM, but actually using 1.6 stuff. This also emulates real
applications that use 1.6 stuff, while Lucene is 1.4.

Shai

On Thu, Aug 13, 2009 at 7:24 PM, Mark Miller <markrmiller@gmail.com> wrote:

>
> Shai Erera wrote:
>
>>  On my next Benchmark issue will I be free to use 1.5 stuff? (kidding)
>>
>>  If we go with this than yes ;)
>
> And if you had argued before that you wanted to test a 1.5 module with
> Benchmark, I would have voted right behind you as well. Generics wasn't
> enough to sway me :)
>
>
> --
> - Mark
>
> http://www.lucidimagination.com
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-dev-help@lucene.apache.org
>
>

Mime
View raw message